image: node:latest

stages:
  - setup
  - test
  - end

install:
  stage: setup
  script: npm install
unitTest:
  before_script: 
  - npm install
  stage: test
  script: npm test
lint:
  before_script: 
  - npm install
  stage: test
  script: npm run lint
end:
  stage: end
  script: echo 'End of install and test'
